Networks
List BGP peers
get
/networks/{network_id}/bgp-peersView the dynamic routing (BGP) sessions configured on a private network. Each peer exchanges routes with one of your servers.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
network_id*integer
Range
1 ≤ valueResponses
Successful Response
application/json
array<NetworkBGPPeerOut>
id*string
network_id*integer
peer_type*BGPPeerType
Value in
"ip""vps""baremetal"peer_target*string
remote_asn*integer
max_prefix*integer
description?string | null
enabled*boolean
created_at*string
Format
date-timeresolved_peer_ip?string | null
last_state?string | null
prefixes_received?integer | null
last_state_at?string | null
Format
date-timereceived_prefixes?array<string>